--
--	FIND DATAREFS
--

dr_switches_boost_pump_left		= find_dataref("412/fuel/switches/boost_pump_left")
dr_switches_boost_pump_right	= find_dataref("412/fuel/switches/boost_pump_right")

--
--	COMMAND HANDLERS
--

-- phase
--	0: The command is being started.
--	1: The command is continuing to execute.
--	2: The command has ended.

function xpcmd_fuel_pump_1_on_handler(phase,duration) 
	if phase == 0 then
		dr_switches_boost_pump_left = 1
	end		
end

function xpcmd_fuel_pump_1_off_handler(phase,duration) 
	if phase == 0 then
		dr_switches_boost_pump_left = 0
	end		
end

function xpcmd_fuel_pump_1_tog_handler(phase,duration) 
	if phase == 0 then
		dr_switches_boost_pump_left = 1 - dr_switches_boost_pump_left
	end		
end

function xpcmd_fuel_pump_2_on_handler(phase,duration) 
	if phase == 0 then
		dr_switches_boost_pump_right = 1
	end		
end

function xpcmd_fuel_pump_2_off_handler(phase,duration) 
	if phase == 0 then
		dr_switches_boost_pump_right = 0
	end		
end

function xpcmd_fuel_pump_2_tog_handler(phase,duration) 
	if phase == 0 then
		dr_switches_boost_pump_right = 1 - dr_switches_boost_pump_right
	end		
end



--
--	 COMMANDS
--
xpcmd_fuel_pump_1_on		= replace_command("sim/fuel/fuel_pump_1_on", xpcmd_fuel_pump_1_on_handler) 
xpcmd_fuel_pump_1_off		= replace_command("sim/fuel/fuel_pump_1_off", xpcmd_fuel_pump_1_off_handler) 
xpcmd_fuel_pump_1_tog		= replace_command("sim/fuel/fuel_pump_1_tog", xpcmd_fuel_pump_1_tog_handler) 
xpcmd_fuel_pump_2_on		= replace_command("sim/fuel/fuel_pump_1_on", xpcmd_fuel_pump_2_on_handler) 
xpcmd_fuel_pump_2_off		= replace_command("sim/fuel/fuel_pump_1_off", xpcmd_fuel_pump_2_off_handler) 
xpcmd_fuel_pump_2_tog		= replace_command("sim/fuel/fuel_pump_1_tog", xpcmd_fuel_pump_2_tog_handler) 
	
	

