--
--	FIND DATAREFS
--

dr_LOAD_cable_len	= find_dataref("412/LOAD_cable_len")
dr_LOAD_current		= find_dataref("412/LOAD_current")


--
--	COMMAND HANDLERS
--

-- phase
--	0: The command is being started.
--	1: The command is continuing to execute.
--	2: The command has ended.

function cmd_CABLE_off_handler(phase,duration) 
	if phase == 0 then
		dr_LOAD_cable_len = 0
	end		
end

function cmd_CABLE_7m_handler(phase,duration) 
	if phase == 0 then
		dr_LOAD_cable_len = 7
	end		
end

function cmd_CABLE_10m_handler(phase,duration) 
	if phase == 0 then
		dr_LOAD_cable_len = 10
	end		
end

function cmd_LOAD_drop(phase,duration) 
	if phase == 0 then
		dr_LOAD_cable_len = 0
		dr_LOAD_current = -1
	end		
end

--
--	 COMMANDS
--
cmd_CABLE_off			= create_command("412/LOAD/set_cable_off", "set_cable_off", cmd_CABLE_off_handler)	
cmd_CABLE_7m			= create_command("412/LOAD/set_cable_7m", "set_cable_7m", cmd_CABLE_7m_handler)	
cmd_CABLE_10m			= create_command("412/LOAD/set_cable_10m", "set_cable_10m", cmd_CABLE_10m_handler)	
cmd_LOAD_drop			= create_command("412/LOAD/drop", "drop_load", cmd_LOAD_drop)	

